import * as cxschema from '../../../cloud-assembly-schema';
import { CloudArtifact } from '../cloud-artifact';
import type { CloudAssembly } from '../cloud-assembly';
/**
 * (experimental) Asset manifest is a description of a set of assets which need to be built and published.
 *
 * @experimental
 */
export declare class NestedCloudAssemblyArtifact extends CloudArtifact {
    /**
     * (experimental) The relative directory name of the asset manifest.
     *
     * @experimental
     */
    readonly directoryName: string;
    /**
     * (experimental) Display name.
     *
     * @experimental
     */
    readonly displayName: string;
    /**
     * @experimental
     */
    constructor(assembly: CloudAssembly, name: string, artifact: cxschema.ArtifactManifest);
    /**
     * (experimental) Full path to the nested assembly directory.
     *
     * @experimental
     */
    get fullPath(): string;
}
/**
 * (experimental) Asset manifest is a description of a set of assets which need to be built and published.
 *
 * @experimental
 */
export interface NestedCloudAssemblyArtifact {
    /**
     * (experimental) The nested Assembly.
     *
     * @experimental
     */
    readonly nestedAssembly: CloudAssembly;
}
